<?php $portfolio_use_autoplay = carbon_get_post_meta( $showcase_id, 'portfolio_use_autoplay' );
$portfolio_autoplay_speed = carbon_get_post_meta( $showcase_id, 'portfolio_autoplay_speed' ); ?>
<div class="portfolio-post-<?php echo esc_attr($showcase_id); ?>">
	<div class="slider-genep slideshow-slider">
		<div class="slides<?php if ($portfolio_link_post == 'lightbox') { ?> lightbox-parent<?php } ?>">
			<?php

			while ( $ta_portfo->have_posts() ) : $ta_portfo->the_post();
			if (has_post_thumbnail()) {
				$img_url_porto = wp_get_attachment_image_src( get_post_thumbnail_id(), 'full');
				$image_portores =  aq_resize($img_url_porto[0],  1200 , 1200, true, true, true);
				$image_gallery = $img_url_porto[0];
			} else {
				$image_portores = '';
				$image_gallery = '';
			}

			$custom_link = carbon_get_post_meta( get_the_ID(), 'portfolio_custom_link' );

			if($portfolio_link_post == 'portfolio_item') {
				$link_post = get_permalink();
			} elseif ($portfolio_link_post == 'lightbox') {
				$link_post = $image_gallery;
			} elseif ($portfolio_link_post == 'lightbox_portfolio_item') {
				$link_post = "#";
			} else {
				if(!empty($custom_link)) {
					$link_post = $custom_link;
				} else {
					$link_post = get_permalink();
				}
			}
			 ?>
			<div class="slide" <?php if ($portfolio_link_post == 'lightbox') { ?> data-src="<?php echo esc_attr($link_post); ?>"<?php } ?>>
				<?php if (!empty($image_portores)) { ?>
					<div class="slide__img" style="background-image: url(<?php echo esc_url($image_portores); ?>)"></div>
				<?php } else { ?>
					<div class="slide__img" style="background-color: #191970;"></div>
				<?php } ?>

				<h2 class="slide__title"><?php the_title(); ?></h2>
				<div class="slide__desc"><?php echo portfolio_excerpt(15); ?></div>

				<a <?php if ($portfolio_link_post == 'lightbox') { ?>href="" class="lightbox-image view-more btn-arrow slide__link" title="<?php the_title(); ?>" data-src="<?php echo $link_post; ?>"<?php } else { ?> href="<?php echo esc_url($link_post); ?>" class="view-more btn-arrow slide__link"<?php } ?>>
					<span>
						<?php 
						if(!empty($button_text)) {
							echo esc_html($button_text);
						} else {
							esc_html_e( 'View Gallery', 'portfolio-awesome-pro' );
						} ?>
						<i class="icon icon-right-arrow"></i>
					</span>
				</a>
				<div class="slider-overlay"></div>
			</div>
			<?php endwhile; wp_reset_postdata(); ?>
		</div>
		<!-- Slides -->

		<?php aspb_ta_arrow_slider_temp($portfolio_use_arrow, $portfolio_select_arrow); ?>

		<?php if($portfolio_use_autoplay == true && $portfolio_use_arrow == false) { ?>
			<div class="slider__nav display-none">
				<button class="slider__nav-button--prev"></button>
				<button class="slider__nav-button--next"></button>
			</div>
		<?php } elseif ($portfolio_use_autoplay == false && $portfolio_use_arrow == false) { ?>
			<div class="slider__nav display-none">
				<button class="slider__nav-button--prev"></button>
				<button class="slider__nav-button--next"></button>
			</div>
		<?php } ?>

		<?php if($portfolio_use_pagination == true) { ?>
			<?php if($portfolio_select_dot == 'style-1') { ?>
			<ul class="swiper-pag dotstyle-fillup"></ul>
			<?php } elseif ($portfolio_select_dot == 'style-2') { ?>
			<ul class="swiper-pag dotstyle-circlegrow"></ul>
			<?php } elseif($portfolio_select_dot == 'style-3') { ?>
			<ul class="swiper-pag dotstyle-flip"></ul>
		<?php }
		} ?>
	</div>
</div>

<script>
(function ($) {
    'use strict';

    $(document).ready(function () {

		var $theSlide = new Slideshows(document.querySelector('.slideshow-slider'));

		var $theSlide2 = $('.slides');
	    var $dots = $('.swiper-pag');
	    var $sliderLi = $('.slide');
	    var $prev = $('.slider__nav-button--prev');
	    var $next = $('.slider__nav-button--next');

		<?php if($portfolio_use_autoplay == true) {
		if(!empty($portfolio_autoplay_speed)) {
			$portfolio_autoplay_speed = $portfolio_autoplay_speed;
		} else {
			$portfolio_autoplay_speed = 2500;
		} ?>

		var interval;
			 var timer = function(){
			 interval = setInterval(function(){
      			$next.trigger("click");
			},<?php echo intval($portfolio_autoplay_speed); ?>);
		};

		timer();
	    <?php } ?>

		$('.slides > .slide:first').addClass("slide--current");

	    function next(i) {
	        var upcomingSlide = $sliderLi.eq(i).index();
	        return upcomingSlide;
	    }

    	$sliderLi.each(function() {
           $dots.append("<li><a></a></li>");
        });

	    $dots.find("li").first().addClass("swiper-pagination-bullet-active");
	    // Change slider on dot click
	    $dots.find("li a").click(function() {
	    	$('li').removeClass('swiper-pagination-bullet-active');
	        var $this = $(this);
	        $($this).parent().addClass("swiper-pagination-bullet-active");
	        var i = $this.parent().index();
	        $theSlide.move('next',next(i));
	        <?php if($portfolio_use_autoplay == true) { ?>
	    	clearInterval(interval);
   			timer();
   			<?php } ?>
	    });

	    $next.click(function (e) {
	    	e.preventDefault();
	    	var totalSlides = $sliderLi.length;

	    	$('li').removeClass('swiper-pagination-bullet-active');
	    	var nextTarget = $theSlide2.find('.slide.slide--current').index() + 1;

	    	if(totalSlides == nextTarget) {
	    		var nextTarget = 0;
	    	}

	    	$theSlide.navigate('next',nextTarget);

	    	$dots.find('li').eq(nextTarget).addClass('swiper-pagination-bullet-active');
	        <?php if($portfolio_use_autoplay == true) { ?>
	    	clearInterval(interval);
   			timer();
   			<?php } ?>
	    });

	    $prev.click(function (e) {
	    	e.preventDefault();
	    	$('li').removeClass('swiper-pagination-bullet-active');
	    	var nextTarget = $theSlide2.find('.slide.slide--current').index() - 1;
	    	$theSlide.navigate('prev',nextTarget);
	    	$dots.find('li').eq(nextTarget).addClass('swiper-pagination-bullet-active');
	        <?php if($portfolio_use_autoplay == true) { ?>
	    	clearInterval(interval);
   			timer();
   			<?php } ?>
	    });
    });


})(jQuery);
</script>

<?php 

if ($portfolio_link_post == 'lightbox') {
	wp_enqueue_style( 'acpb-advanced-slider-portfolio-builder-light-gallery', plugin_dir_url(__DIR__ ) . 'assets/css/lightgallery.css', array(), '', 'all' );
	wp_enqueue_script( 'acpb-advanced-slider-portfolio-builder-light-gallery',  plugin_dir_url(__DIR__ ) . 'assets/js/lightgallery.js', array('jquery'), '', false );
}

wp_enqueue_script( 'aspb-advanced-slider-portfolio-builder-anime',  plugin_dir_url(__DIR__ ).'assets/js/anime.min.js', array('jquery'), '', false );
wp_enqueue_script( 'aspb-advanced-slider-portfolio-builder-slider-6',  plugin_dir_url(__DIR__ ).'assets/js/slider6.js', array('jquery','imagesloaded'), '', false );

if ($portfolio_link_post == 'lightbox') { ?>
		<script>
			(function($) {

				'use strict';
				$(document).on('ready', function () {
					if ($('.lightbox-parent').length) {
				        $('.lightbox-parent').lightGallery({
				            thumbnail: false,
				            download: false,
				            selector: '.lightbox-image'
				        });
				    }
				});

			})( jQuery );
		</script>
<?php }